/**
 * Copyright (C), 2015-2019, XXX有限公司
 * FileName: BaseService
 * Author:   wangcl
 * Date:     2019/3/29 15:53
 * Description: 基本Service
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.gesoft.api.base.common;

import java.util.Map;

/**
 * 〈一句话功能简述〉<br> 
 * 〈基本Service〉
 *
 * @author wangcl
 * @create 2019/3/29
 * @since 1.0.0
 */
public class BaseService {


    /**
     * 处理分页
     * @param paramMap
     * @param total
     */
    public void dealPageSize(Map<String, Object> paramMap, int total){

        //每页显示条数
        int pageSize = 10;
        if (mapKeyIsNotEmpty(paramMap, "pageSize")
                && Integer.parseInt(paramMap.get("pageSize").toString()) > 0){
            pageSize = Integer.parseInt(paramMap.get("pageSize").toString());
        }

        //当前页数
        int currentPage = 1;
        if (mapKeyIsNotEmpty(paramMap, "currentPage")
                && Integer.parseInt(paramMap.get("currentPage").toString()) > 0){
            currentPage = Integer.parseInt(paramMap.get("currentPage").toString());
        }

        paramMap.put("pageSize", pageSize);         //每页显示数
        paramMap.put("currentPage", currentPage);   //当前页号
        paramMap.put("total", total);               // 总记录数

        // 总页数
        int sumPage = 0;
        if (total > 0){
            sumPage = (total - 1) / pageSize + 1;
        }
        paramMap.put("sumPage", sumPage);

        // 开始记录数
        int startNum = (currentPage - 1) * pageSize;
        paramMap.put("startNum", startNum);
    }


    /**
     *
     * @param map
     * @param key
     * @return
     */
    public static boolean mapKeyIsNotEmpty(Map<String, Object> map, String key){

        if (map == null){
            return false;
        }

        if (map.containsKey(key) == false){
            return false;
        }

        Object obj = map.get(key);
        if (obj == null){
            return false;
        }

        if ("".equals(obj.toString())){
            return false;
        }
        return true;
    }

}
